Bug 428618 - knotify4 is constantly crashing.
knotify4 is constantly crashing.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 02:43 EST by Gilboa Davara
Modified: 2008-04-09 14:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 14:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Callstack dump. (2.99 KB, text/plain)
2008-01-14 02:43 EST, Gilboa Davara
no flags Details
Yet another callstack dump. (A bit different...) (4.03 KB, text/plain)
2008-01-14 02:44 EST, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2008-01-14 02:43:23 EST
Description of problem:
Fully updated rawhide VM (VMWare server), x86_64.
knotify4 is constantly crashing, (dismiss one handler and another one pops out).

Callstack dump attached.
I'll report it upstream later today.

Versions:
$ rpm -qa | grep kdebase- | sort
kdebase-4.0.0-2.fc9.i386
kdebase-4.0.0-2.fc9.x86_64
kdebase-runtime-4.0.0-2.fc9.x86_64
kdebase-runtime-debuginfo-4.0.0-2.fc9.x86_64
kdebase-workspace-4.0.0-5.fc9.x86_64
kdebase-workspace-libs-4.0.0-5.fc9.x86_64

- Gilboa
Comment 1 Gilboa Davara 2008-01-14 02:43:23 EST
Created attachment 291572 [details]
Callstack dump.
Comment 2 Gilboa Davara 2008-01-14 02:44:33 EST
Created attachment 291573 [details]
Yet another callstack dump. (A bit different...)
Comment 3 Ngo Than 2008-01-14 06:42:35 EST
it seems pulsaudio causes the problem. As workaround, just remove the package 
kde-settings-pulsaudio. It should work again.
Comment 4 Kevin Kofler 2008-01-14 06:46:12 EST
Most likely alsa-plugins-pulseaudio has to be uninstalled too or sound will not 
be working.
Comment 5 Rex Dieter 2008-01-14 07:40:01 EST
Oh, and don't be using kde-redhat/unstable + qt-4.4.  Bad.
Comment 6 Gilboa Davara 2008-01-14 11:09:43 EST
I'll remove pulse/kde when I get back from work.

Oh... kde-redhat? Am I missing something?
It's a rawhide machine with fedora and fedora-devel repos enabled. Nothing more.

- Gilboa
Comment 7 Gilboa Davara 2008-01-15 02:13:04 EST
Removing kde-settings-pulseaudio and alsa-plugins-pulseaudio solves the problem.

Thanks.
- Gilboa

Note You need to log in before you can comment on or make changes to this bug.